summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYixun Lan <dlan@gentoo.org>2021-09-02 10:49:50 +0800
committerMarek Szuba <marecki@gentoo.org>2021-09-03 11:11:07 +0100
commit265c5a8c3ca9047dd88660039a0bebca2c7d8e97 (patch)
tree5210e96741fa240b5f32cd169730f5fdd7bc5ce4
parentdev-python/pypugjs: mark ALLARCHES (diff)
downloadgentoo-265c5a8c3ca9047dd88660039a0bebca2c7d8e97.tar.gz
gentoo-265c5a8c3ca9047dd88660039a0bebca2c7d8e97.tar.bz2
gentoo-265c5a8c3ca9047dd88660039a0bebca2c7d8e97.zip
app-cdr/cdrtools: fix build err on ARCH=riscv
Closes: https://bugs.gentoo.org/811375 Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Yixun Lan <dlan@gentoo.org> Signed-off-by: Marek Szuba <marecki@gentoo.org>
-rw-r--r--app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild b/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild
index 08655645896..817ebadea51 100644
--- a/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild
+++ b/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild
@@ -88,6 +88,9 @@ src_prepare() {
cd "${S}"/RULES || die
local tcCC=$(tc-getCC)
local tcCXX=$(tc-getCXX)
+ # fix RISC-V build err, bug 811375
+ ln -s i586-linux-cc.rul riscv64-linux-cc.rul || die
+
sed -i -e "/cc-config.sh/s|\$(C_ARCH:%64=%) \$(CCOM_DEF)|${tcCC} ${tcCC}|" \
rules1.top || die "sed rules1.top"
sed -i -e "/^CC_COM_DEF=/s|gcc|${tcCC}|" \